<!DOCTYPE html PUBLIC "-//W3C//Dth HTML 4.0 Transitional//EN">
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
</head>
<body style="font-family: Calibri; background-color: white; padding: 10px 20px;">
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">From:</span>
        <span class="header-row-content">
            {{ sender_details.name }}
        </span>
        &lt;<a href="mailto:{{ sender_details.email }}"> {{ sender_details.email }} </a>&gt;
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">Sent:</span>
        <span class="header-row-content">{{ email_sent_datetime }}</span>
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">To:</span>
        <span class="header-row-content">{{ customer_contact.first_name }} {{ customer_contact.last_name  }}</span>
        &lt;<a href="mailto:{{ customer_contact.email }}">{{ customer_contact.email }}</a>&gt;
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">Subject:</span>
        <span class="header-row-content">{{ subject }}</span>
    </div>
    <section class="email-container">
        <div>
            <div class="ql-container ql-snow">
                <div class="ql-editor" style="padding-left: 0; font-size: 1rem;">
                    {{ email_body|safe }}
                </div>
            </div>
        </div>
        {% if open_sales_orders %}
            <div style="display: flex; flex-direction: column;">
                <div style="margin: 10px 0; font-weight: bold; font-size: 1.1rem;">
                    Open Orders:
                </div>
                <table style="width: 100%; border-collapse: collapse">
                    <thead>
                        <tr>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Customer Name PO #</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Customer Contact</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Quote Name</th>
                            <th style="width: 35%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Shipping to</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Final Product Ship Date</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for order in open_sales_orders %}
                        {% if forloop.counter0 == 0 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.shipping_contact }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.opportunity_summary }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% elif forloop.counter0|divisibleby:2 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.shipping_contact }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.opportunity_summary }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% else %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.shipping_contact }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.opportunity_summary }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        {% endif %}
        {% if open_purchase_orders %}
            <div style="display: flex; flex-direction: column;">
                <div style="margin: 10px 0; font-weight: bold; font-size: 1.1rem;">
                    Open Purchase Orders:
                </div>
                <table style="width: 60%; border-collapse: collapse">
                    <thead>
                        <tr>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">PO #</th>
                            <th style="width: 40%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Customer Site</th>
                            <th style="width: 40%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Final Product Ship Date</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for order in open_purchase_orders %}
                        {% if forloop.counter0 == 0 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.po_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% elif forloop.counter0|divisibleby:2 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.po_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% else %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.po_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.customer_site }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ order.last_product_ship_date }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        {% endif %}
    </section>
    <footer style="margin-top: 20px; margin-bottom: 20px;">
        <div style="width: 40%; padding-bottom: 20px; border-bottom: 5px solid #00b0f0; margin-bottom: 15px; font-size: 1rem;">Thank you,</div>
        <div class="ql-container ql-snow">
          <div class="ql-editor" style="padding: 0;">
            {{ sender_details.email_signature|safe }}
          </div>
        </div>
    </footer>
</body>
</html>